Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/dcmip1-lat-lon-TPLSPS_LOOP.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/dcmip1-lat-lon-TPLSPS_LOOP.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/dcmip1-lat-lon-TPLSPS_LOOP.ncl	(revision 439)
@@ -0,0 +1,280 @@
+;================================================;
+;	Example ncl script to produce the set of
+;	lat-lon plots for DCMIP-2016 test case 1
+; Created by James Kent, Christiane Jablonowski
+;	and Paul Ullrich (University of Michigan) for DCMIP-2012 
+;
+; Modified by Colin Zarzycki for DCMIP-2016
+; Further modified by Maximo Menchaca for creating gifs
+;
+; v1.01 - 6/7/16 
+; v1.02 - 6/8/16 - Typo in var_choice options
+;================================================;
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"   
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"   
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"   
+; ================================================;
+
+; NOTE, if your model does not output T850 OR P at level
+; midpoints OR you cannot calculate P from hybrid levels, you
+; will need to make model specific additions denoted by
+; CALCPHERE below
+
+; PRECL needs to be in m/s for contours to plot correctly
+
+begin
+
+;=================================================;
+; open file and read in data 
+; GIVEN AS (time,lev,lat,lon) from 0 to n-1
+;=================================================;
+
+  ; NOTE, that this file needs to be a catted file including all times at daily interval
+  ; if you are outputting 1 file per time, you can run "ncrcat dcmip1.files.*.nc cat.nc"
+  ; for one file
+
+	f = addfile("output_dcmip2016_regular.nc","r")
+
+use_pdf = False
+
+		; Input useful parameters
+
+	lat  = f->lat
+        lon  = f->lon
+	lev  = f->lev
+	nlat   = getfilevardimsizes(f, "lat" )
+	nlon   = getfilevardimsizes(f, "lon" )
+	nlev   = getfilevardimsizes(f, "lev" )
+
+  ; We want plots of temperature, vertical velocity and relative vorticity 
+  ; at the 850 hPa level. We also want surface pressure.
+
+  ; Select var_choice 	1 - Temperature at 850 hPa
+  ; 		        2 - Large-scale precipitation
+  ;			3 - Surface Pressure
+
+	do var_choice = 1,3
+;	var_choice = 1 
+	
+	if (var_choice .eq. 1) then				; Select T
+
+		if (isfilevar(f,"T850")) then
+
+			varload = f->T850
+
+		else	
+
+			; we interp T to the 850 hPa level
+			varload0 = f->T				; T is a 4D var
+			varload  = f->T(:,0,:,:)
+			; Calculate P using hybrid coefficients
+			; If you have pressure as a variable just do
+			; P = f->P
+      ; CALCPHERE
+			hyam = f->hyam
+  		hybm = f->hybm
+  		P0   = f->P0
+			PS   = f->PS
+			P    = 0.0*varload0
+			P = pres_hybrid_ccm(PS,P0,hyam,hybm)
+			P!0 = "time"
+			P!1 = "lev"
+			P!2 = "lat"
+			P!3 = "lon"
+			; interp to 850 hPa level
+			plevel = 85000.0
+			varload = int2p_n(P,varload0,plevel,2,1)
+
+		end if
+
+	filename_string = "DYNAMICO-case161latlonT850"
+
+	else if (var_choice .eq. 2) then			; Select Large-scale precipitation
+
+		varload = f->PRECT
+;    varload=varload*8.64e7		
+	filename_string = "DYNAMICO-case161latlonPRECT"
+
+	else if (var_choice .eq. 3) then			; Select PS
+	filename_string = "DYNAMICO-case161latlonPS"
+
+		varload = f->PS
+
+	end if
+        end if
+        end if
+
+if(use_pdf) then
+	wks  = gsn_open_wks("pdf",filename_string)   	; output using X11
+else
+	wks  = gsn_open_wks("png",filename_string)   	; output using png
+end if
+
+		; We want the output at days 6, 9, 12 and 15. If your model 
+		; output is in 6 hourly intervals this becomes indices 24, 36, 48 and 60
+
+	do d = 0,23
+	  day_curr = d*5
+
+;	day6  = 24 
+;	day9  = 36
+;	day12 = 48
+;	day15 = 60
+
+	var1 = varload(d,:,:)
+;	var2 = varload(day9,:,:)
+;	var3 = varload(day12,:,:)
+;	var4 = varload(day15,:,:)
+
+		; We don't want long-name in the plots
+
+	var1@long_name = " "
+;	var2@long_name = " "
+;	var3@long_name = " "
+;	var4@long_name = " "
+
+		; Delete loaded data
+
+;	delete(varload)
+
+		; We now produce the plot
+
+;	plot  = new (4, graphic)               			; define plot - need 4 panels
+
+	res1                      = True
+	res1@gsnDraw              = False          		; panel plot 
+	res1@gsnFrame             = False			; don't draw yet
+	res1@cnFillOn             = True
+	res1@cnLinesOn            = True
+	res1@gsnSpreadColors      = True
+	res1@lbLabelAutoStride    = True
+	res1@gsnCenterString      = ""
+	res1@tiMainString         = ""
+	res1@vpWidthF             = 0.38
+	res1@vpHeightF            = 0.19
+	res1@cnLevelSelectionMode = "ManualLevels"
+	res1@cnInfoLabelOn        = False			; don't give each
+	res1@cnLineLabelsOn       = False			; panel its own
+	res1@lbLabelBarOn         = False			; label bar
+
+	pres                          = True
+	pres@gsnMaximize              = True  
+	pres@gsnPanelLabelBar         = True			; Communal label bar
+	pres@gsnPanelLeft             = 0.1
+	pres@gsnPanelRight            = 0.9
+	pres@pmLabelBarOrthogonalPosF = -0.03
+	pres@gsnFrame                 = False
+	pres@lbLabelStride            = 1
+
+	res1@sfXArray        = lon            			; uses lon as plot x-axis
+	res1@sfYArray        = lat            			; uses lat for y axis
+	res1@trYReverse      = False          			; reverses y-axis, false
+	res1@tiYAxisString   = ""   	       			; y-axis title
+	res1@tiXAxisString   = ""             			; x-axis title
+
+	if (var_choice .eq. 1) then 	;================ Temperature plot ====================
+ 
+	pltTitle="DYNAMICO Case 161, T850 hPa" 			; Plot title if required
+	pres@txString = pltTitle
+
+		; Change the output type and name
+
+	gsn_define_colormap(wks,"gui_default")  
+
+	res1@cnMaxLevelValF  = 295.0				; max contour color label
+	res1@cnMinLevelValF  = 280.0				; min contour color label
+	res1@cnLevelSpacingF = 1.0				; contour color spacing			; choose a colormap
+ 
+	else if (var_choice .eq. 2) then 	;================ Large-scale precipitation plot ====================
+ 
+	pltTitle="DYNAMICO Case 161, Large-scale precipitation" 	; Plot title if required
+	pres@txString = pltTitle
+
+	var1@units = " "
+;	var2@units = " "
+;	var3@units = " "
+;	var4@units = " "
+
+	res1@cnLinesOn            = False				; Turn lines off for clearer plot
+
+		; Change the output type and name
+
+	gsn_define_colormap(wks,"gui_default")  
+
+		; Note that the maximum might be larger than these contour spacing values
+
+	res1@cnMaxLevelValF  = 1e-4				; max contour color label
+	res1@cnMinLevelValF  = 0.0				; min contour color label
+	res1@cnLevelSpacingF = 1e-5				; contour color spacing			; choose a colormap
+ 
+	else if (var_choice .eq. 3) then 	;================ Surface Pressure plot ====================
+ 
+	pltTitle="DYNAMICO Case 161, PS" 			; Plot title if required
+	pres@txString = pltTitle
+
+		; Convert to hPa 
+
+	var1=var1/100.0
+;	var2=var2/100.0
+;	var3=var3/100.0
+;	var4=var4/100.0
+
+	var1@units = "hPa "
+;	var2@units = "hPa "
+;	var3@units = "hPa "
+;	var4@units = "hPa "
+
+		; Change the output type and name
+
+	gsn_define_colormap(wks,"gui_default")  
+
+	res1@cnMaxLevelValF  = 1005.0				; max contour color label
+	res1@cnMinLevelValF  = 995.0				; min contour color label
+	res1@cnLevelSpacingF = 1.0				; contour color spacing			; choose a colormap
+
+	end if				;============== end plot choice ===============
+	end if				;============== end plot choice ===============
+	end if				;============== end plot choice ===============
+
+	res1@gsnCenterString = "t = " + day_curr + " min"
+	plot = gsn_csm_contour(wks,var1(:,:),res1)		; plot var1
+
+;	res1@gsnCenterString = "t = 9"
+;     	plot(1) = gsn_csm_contour(wks,var2(:,:),res1)		; plot var2
+;
+;	res1@gsnCenterString = "t = 12"
+;	plot(2) = gsn_csm_contour(wks,var3(:,:),res1)		; plot var3
+;
+;	res1@gsnCenterString = "t = 15"
+;     	plot(3) = gsn_csm_contour(wks,var4(:,:),res1)		; plot var4
+
+	gsn_panel(wks,plot,(/1,1/),pres)			; 2x2 plot
+
+		; Add latitude and longitude labels
+
+	txres3                = True
+	txres3@txAngleF       = 90.
+	txres3@txFontHeightF  = 0.02
+	gsn_text_ndc(wks,"Latitude",0.08,0.49,txres3)
+
+	txres3@txAngleF       = 0.
+	gsn_text_ndc(wks,"Longitude",0.5,0.22,txres3)
+
+	frame(wks)
+
+	end do
+	delete(varload)
+ cmd = "convert -delay 25 "+ filename_string+"*.png "+filename_string+".gif"
+ system(cmd)
+  cmd = "rm "+filename_string+"*.png"
+ system(cmd)
+	end do
+
+end
+
+
+
+
+
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec.ncl	(revision 439)
@@ -0,0 +1,123 @@
+;***********************************************
+; plot_supercell_2.5km_wvel_xsec.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     w_2500m(lon, lat)
+;     2D vertical velocity field at 2.5km altitude at 7200s (units m/s)
+;
+;   Dimensions:
+;     lon:   arbitrary
+;     lat:   arbitrary
+;----------------------------------------------------------------------------
+
+  data_file = "~/Documents/tempestmodel/test/dcmip2016/outSupercellTest-Agri/outU0.0000-01-01-2500m.nc"
+
+  data = addfile(data_file,"r")
+
+  w_2500m = data->W(24,0,:,:)
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+  wks = gsn_open_wks("eps","plot_supercell_2.5km_wvel_xsec")   
+
+  gsn_merge_colormaps(wks,"temp_diff_18lev","sunshine_9lev")
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+  plot = new(1,graphic)
+
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.5
+  res@vpHeightF           = 0.6
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@cnFillOn          = True
+  res@cnLinesOn         = True
+  res@cnLineLabelsOn    = False
+  res@lbLabelAutoStride = True
+  res@cnInfoLabelOn     = False
+
+  res@trXMinF           = -45.0
+  res@trXMaxF           =  30.0
+
+  res@trYMinF           = -45.0
+  res@trYMaxF           =  45.0
+
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXBMode          = "Explicit"
+  res@tmXBValues        = (/-45,-30,-15,0,15,30/)
+  res@tmXBLabels        = (/"45W","30W","15W","0","15E","30E"/)
+
+  res@tmXBMinorOn       = True
+  res@tmXBMinorValues   = (/-40,-35,-25,-20,-10,-5,5,10,20,25/)
+
+  res@tmXTLabelsOn      = True
+  res@tmXTOn            = True
+
+  res@tmYLLabelsOn      = True
+  res@tmYLOn            = True
+
+  res@tmYLMode          = "Explicit"
+  res@tmYLValues        = (/-45,-30,-15,0,15,30,45/)
+  res@tmYLLabels        = (/"45S","30S","15S","0","15N","30N","45N"/)
+
+  res@tmYLMinorOn       = True
+  res@tmYLMinorValues   = (/-40,-35,-25,-20,-10,-5,5,10,20,25,35,40/)
+
+  res@gsnSpreadColors = True
+
+  res@gsnContourZeroLineThicknessF = 0.0
+  res@gsnContourNegLineDashPattern = 1
+
+  res@gsnSpreadColorStart = 7
+  res@gsnSpreadColorEnd = 19
+  res@cnLevelSelectionMode = "ManualLevels"
+  res@cnLevelSpacingF = 1.0
+  res@cnMinLevelValF = -10.0
+  res@cnMaxLevelValF = 20.0
+
+  plot(0) = gsn_csm_contour(wks, w_2500m(:,:), res)
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/1,1/), pres)
+
+end
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec_LOOP.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec_LOOP.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_2.5km_wvel_xsec_LOOP.ncl	(revision 439)
@@ -0,0 +1,143 @@
+;***********************************************
+; plot_supercell_2.5km_wvel_xsec.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     w_2500m(lon, lat)
+;     2D vertical velocity field at 2.5km altitude at 7200s (units m/s)
+;
+;   Dimensions:
+;     lon:   arbitrary
+;     lat:   arbitrary
+;----------------------------------------------------------------------------
+;  wks = gsn_open_wks("pdf","neptune_supercell_2.5km_wvel_500m_res")   
+  filename_string = "neptune_supercell_2.5km_wvel_4km_res"
+  wks = gsn_open_wks("png",filename_string)   
+
+  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/4deg/neptune.163.r400.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/2deg/neptune.163.r200.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/1deg/neptune.163.r100.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/05deg/neptune.163.r50.L40.latlon.nonhydro.SC3.nc"
+
+  data = addfile(data_file,"r")
+
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+
+  gsn_merge_colormaps(wks,"temp_diff_18lev","sunshine_9lev")
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+  plot = new(1,graphic)
+
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.5
+  res@vpHeightF           = 0.6
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@cnFillOn          = True
+  res@cnLinesOn         = True
+  res@cnLineLabelsOn    = False
+  res@lbLabelAutoStride = True
+  res@cnInfoLabelOn     = False
+
+  res@trXMinF           = -45.0
+  res@trXMaxF           =  30.0
+
+  res@trYMinF           = -45.0
+  res@trYMaxF           =  45.0
+
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXBMode          = "Explicit"
+  res@tmXBValues        = (/-45,-30,-15,0,15,30/)
+  res@tmXBLabels        = (/"45W","30W","15W","0","15E","30E"/)
+
+  res@tmXBMinorOn       = True
+  res@tmXBMinorValues   = (/-40,-35,-25,-20,-10,-5,5,10,20,25/)
+
+  res@tmXTLabelsOn      = True
+  res@tmXTOn            = True
+
+  res@tmYLLabelsOn      = True
+  res@tmYLOn            = True
+
+  res@tmYLMode          = "Explicit"
+  res@tmYLValues        = (/-45,-30,-15,0,15,30,45/)
+  res@tmYLLabels        = (/"45S","30S","15S","0","15N","30N","45N"/)
+
+  res@tmYLMinorOn       = True
+  res@tmYLMinorValues   = (/-40,-35,-25,-20,-10,-5,5,10,20,25,35,40/)
+
+  res@gsnSpreadColors = True
+
+  res@gsnContourZeroLineThicknessF = 0.0
+  res@gsnContourNegLineDashPattern = 1
+
+  res@gsnSpreadColorStart = 7
+  res@gsnSpreadColorEnd = 19
+  res@cnLevelSelectionMode = "ManualLevels"
+  res@cnLevelSpacingF = 1.0
+  res@cnMinLevelValF = -10.0
+  res@cnMaxLevelValF = 20.0
+
+
+  do i = 0,24
+
+  curr_time = i*5
+  res@gsnLeftString = "Time is " + curr_time + " mins"
+
+  w_2500m = data->W2500m(i,:,:)
+  plot(0) = gsn_csm_contour(wks, w_2500m(:,:), res)
+
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/1,1/), pres)
+
+;  frame(wks)
+  end do
+
+ cmd = "convert -delay 25 "+ filename_string+"*.png "+filename_string+".gif"
+ system(cmd)
+  cmd = "rm "+filename_string+"*.png"
+ system(cmd)
+
+end
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec.ncl	(revision 439)
@@ -0,0 +1,169 @@
+;***********************************************
+; plot_supercell_5km_xsec.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     w_5km(time, lon, lat)
+;     2D vertical velocity field at 5km altitude (units m/s)
+;
+;   Output:
+;     qr_5km(time, lon, lat)
+;     2D rain water mixing ratio at 5km altitude (units g/kg)
+;
+;   Dimensions:
+;     time:  4 elements at 30, 60, 90 and 120 minutes
+;     lon:   arbitrary
+;     lat:   arbitrary
+;----------------------------------------------------------------------------
+
+  data_file = "/glade/scratch/konrads/:w"
+
+  data = addfile(data_file,"r")
+
+  w_5km = data->W((/6,12,18,24/),0,:,:)
+  rho_5km = data->Rho((/6,12,18,24/),0,:,:)
+  rhoqr_5km = data->RhoQr((/6,12,18,24/),0,:,:)
+
+  qr_5km = rhoqr_5km / rho_5km
+  copy_VarCoords(rho_5km, qr_5km)
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+  wks = gsn_open_wks("eps","plot_supercell_5km_xsec")   
+
+  gsn_merge_colormaps(wks,"temp_diff_18lev","sunshine_9lev")
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+  plot = new(2,graphic)
+  wplot = new(3,graphic)
+  qrplot = new(3,graphic)
+
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.4
+  res@vpHeightF           = 0.8
+;  res@gsnSpreadColors     = True
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@cnFillOn          = True
+  res@cnLinesOn         = True
+  res@cnLineLabelsOn    = False
+  res@lbLabelAutoStride = True
+  res@cnInfoLabelOn     = False
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXTLabelsOn      = False
+  res@tmXTOn            = False
+
+  res@gsnSpreadColors = True
+
+  res@trYMinF = -40.0
+  res@trYMaxF =  40.0
+
+  res@gsnContourZeroLineThicknessF = 0.0
+  res@gsnContourNegLineDashPattern = 1
+
+;  res@lbLabelBarOn = False
+  res@tmYLLabelsOn = False
+
+  resw = res
+  resw@gsnSpreadColorStart = 8
+  resw@gsnSpreadColorEnd = 19
+  resw@cnLevelSelectionMode = "ManualLevels"
+  resw@cnLevelSpacingF = 2.0
+  resw@cnMinLevelValF = -8.0
+  resw@cnMaxLevelValF = 24.0
+
+  resqr = res
+  resqr@gsnSpreadColorStart = 21
+  resqr@gsnSpreadColorEnd = 30
+  resqr@cnLevelSelectionMode = "ManualLevels"
+  resqr@cnLevelSpacingF = 1.0
+  resqr@cnMinLevelValF = 1.0
+  resqr@cnMaxLevelValF = 12.0
+
+;------------------------------------------------
+; Vertical velocity plots
+;------------------------------------------------
+
+  resw@trXMinF = -20.0
+  resw@trXMaxF =  20.0
+  plot(0) = gsn_csm_contour(wks, w_5km(0,:,:), resw)
+
+  resw@trXMinF = -20.0
+  resw@trXMaxF =  20.0
+  wplot(0) = gsn_csm_contour(wks, w_5km(1,:,:), resw)
+
+  resw@trXMinF = -15.0
+  resw@trXMaxF =  25.0
+  wplot(1) = gsn_csm_contour(wks, w_5km(2,:,:), resw)
+
+  resw@trXMinF = -10.0
+  resw@trXMaxF =  30.0
+  wplot(2) = gsn_csm_contour(wks, w_5km(3,:,:), resw)
+
+  mergedw = gsn_attach_plots(plot(0), (/wplot(0),wplot(1),wplot(2)/), False, False)
+
+;------------------------------------------------
+; Rain water plots
+;------------------------------------------------
+
+  resqr@trXMinF = -20.0
+  resqr@trXMaxF =  20.0
+  plot(1) = gsn_csm_contour(wks, qr_5km(0,:,:), resqr)
+
+  resqr@trXMinF = -20.0
+  resqr@trXMaxF =  20.0
+  qrplot(0) = gsn_csm_contour(wks, qr_5km(1,:,:), resqr)
+
+  resqr@trXMinF = -15.0
+  resqr@trXMaxF =  25.0
+  qrplot(1) = gsn_csm_contour(wks, qr_5km(2,:,:), resqr)
+
+  resqr@trXMinF = -10.0
+  resqr@trXMaxF =  30.0
+  qrplot(2) = gsn_csm_contour(wks, qr_5km(3,:,:), resqr)
+
+  mergedqr = gsn_attach_plots(plot(1), (/qrplot(0),qrplot(1),qrplot(2)/), False, False)
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/2,1/), pres)
+
+end
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec_LOOP.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec_LOOP.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_5km_xsec_LOOP.ncl	(revision 439)
@@ -0,0 +1,186 @@
+;***********************************************
+; plot_supercell_5km_xsec.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     w_5km(time, lon, lat)
+;     2D vertical velocity field at 5km altitude (units m/s)
+;
+;   Output:
+;     qr_5km(time, lon, lat)
+;     2D rain water mixing ratio at 5km altitude (units g/kg)
+;
+;   Dimensions:
+;     time:  4 elements at 30, 60, 90 and 120 minutes
+;     lon:   arbitrary
+;     lat:   arbitrary
+;----------------------------------------------------------------------------
+
+
+;  wks = gsn_open_wks("pdf","neptune_supercell_5km_500m_res")   
+  filename_string = "neptune_supercell_5km_4km_res"
+  wks = gsn_open_wks("png",filename_string)   
+
+  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/4deg/neptune.163.r400.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/2deg/neptune.163.r200.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/1deg/neptune.163.r100.L40.latlon.nonhydro.SC3.nc"
+;  data_file = "/glade/scratch/menchaca/run_NEPTUNE/runFILES/SC3/05deg/neptune.163.r50.L40.latlon.nonhydro.SC3.nc"
+
+  data = addfile(data_file,"r")
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+
+  gsn_merge_colormaps(wks,"temp_diff_18lev","sunshine_9lev")
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+  plot = new(2,graphic)
+;  wplot = new(3,graphic)
+;  qrplot = new(3,graphic)
+
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.4
+  res@vpHeightF           = 0.8
+;  res@gsnSpreadColors     = True
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@cnFillOn          = True
+  res@cnLinesOn         = True
+  res@cnLineLabelsOn    = False
+  res@lbLabelAutoStride = True
+  res@cnInfoLabelOn     = False
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXTLabelsOn      = False
+  res@tmXTOn            = False
+
+  res@gsnSpreadColors = True
+
+  res@trYMinF = -40.0
+  res@trYMaxF =  40.0
+
+  res@gsnContourZeroLineThicknessF = 0.0
+  res@gsnContourNegLineDashPattern = 1
+
+  res@lbLabelBarOn = True
+  res@tmYLLabelsOn = True
+
+  resw = res
+  resw@gsnSpreadColorStart = 8
+  resw@gsnSpreadColorEnd = 19
+  resw@cnLevelSelectionMode = "ManualLevels"
+  resw@cnLevelSpacingF = 2.0
+  resw@cnMinLevelValF = -8.0
+  resw@cnMaxLevelValF = 24.0
+
+  resqr = res
+  resqr@gsnSpreadColorStart = 21
+  resqr@gsnSpreadColorEnd = 30
+  resqr@cnLevelSelectionMode = "ManualLevels"
+  resqr@cnLevelSpacingF = 1.0
+  resqr@cnMinLevelValF = 1.0
+  resqr@cnMaxLevelValF = 12.0
+
+;------------------------------------------------
+; Vertical velocity plots
+;------------------------------------------------
+  do i = 0,24
+
+  w_5km = data->W5000m(i,:,:)
+  qr_5km = data->Qr5000m(i,:,:)
+
+  qr_5km = qr_5km*1000.0 ;convert from kg/kg to g/kg
+
+  curr_time = i*5
+  resw@gsnLeftString = "Time is " + curr_time + " mins"
+
+  resw@trXMinF = -20.0
+  resw@trXMaxF =  20.0
+  plot(0) = gsn_csm_contour(wks, w_5km(:,:), resw)
+
+;  resw@trXMinF = -20.0
+;  resw@trXMaxF =  20.0
+;  wplot(0) = gsn_csm_contour(wks, w_5km(1,:,:), resw)
+
+;  resw@trXMinF = -15.0
+;  resw@trXMaxF =  25.0
+;  wplot(1) = gsn_csm_contour(wks, w_5km(2,:,:), resw)
+
+;  resw@trXMinF = -10.0
+;  resw@trXMaxF =  30.0
+;  wplot(2) = gsn_csm_contour(wks, w_5km(3,:,:), resw)
+
+;  mergedw = gsn_attach_plots(plot(0), (/wplot(0),wplot(1),wplot(2)/), False, False)
+
+;------------------------------------------------
+; Rain water plots
+;------------------------------------------------
+
+  resqr@trXMinF = -20.0
+  resqr@trXMaxF =  20.0
+  qr_5km@units = "g/kg"
+  plot(1) = gsn_csm_contour(wks, qr_5km(:,:), resqr)
+
+;  resqr@trXMinF = -20.0
+;  resqr@trXMaxF =  20.0
+;  qrplot(0) = gsn_csm_contour(wks, qr_5km(1,:,:), resqr)
+;
+;  resqr@trXMinF = -15.0
+;  resqr@trXMaxF =  25.0
+;  qrplot(1) = gsn_csm_contour(wks, qr_5km(2,:,:), resqr)
+;
+;  resqr@trXMinF = -10.0
+;  resqr@trXMaxF =  30.0
+;  qrplot(2) = gsn_csm_contour(wks, qr_5km(3,:,:), resqr)
+;
+;  mergedqr = gsn_attach_plots(plot(1), (/qrplot(0),qrplot(1),qrplot(2)/), False, False)
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/1,2/), pres)
+
+  end do
+
+ cmd = "convert -delay 25 "+ filename_string+"*.png "+filename_string+".gif"
+ system(cmd)
+  cmd = "rm "+filename_string+"*.png"
+ system(cmd)
+
+end
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_prect.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_prect.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_prect.ncl	(revision 439)
@@ -0,0 +1,112 @@
+;***********************************************
+; plot_supercell_prect.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     prect_rate(time)
+;     time series precipitation rate (units m/s)
+;
+;     time_s(time)
+;     time of each sample (units s)
+;
+;   Dimensions:
+;     time:  arbitrary
+;----------------------------------------------------------------------------
+
+  data_file = "output_dcmip2016_regular.nc"
+
+  maxw = asciiread(data_file, (/25/), "double")
+  time_s = fspan(0.0, 7200.0, 25)
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+  wks = gsn_open_wks("eps","plot_supercell_wvel")   
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.6
+  res@vpHeightF           = 0.6
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXTLabelsOn      = False
+  res@tmXTOn            = False
+
+  res@tmXBMinorOn       = True
+  res@tmYLMinorOn       = True
+
+  res@xyLineThicknessF  = 2.0
+  res@xyMarkLineMode    = "MarkLines"
+
+  resw = res
+
+;------------------------------------------------
+; Vertical velocity plot
+;------------------------------------------------
+
+  resw@tiXAxisOn = True
+  resw@tiXAxisString = "time (s)"
+
+  resw@tiYAxisOn = True
+  resw@tiYAxisString = "maximum vertical velocity (m/s)"
+
+  resw@trXMinF = 0.0
+  resw@trXMaxF = 7200.0
+  
+  resw@trYMinF = 0.0
+  resw@trYMaxF = 50.0
+
+  resw@tmXBMode = "Manual"
+  resw@tmXBTickStartF = 0.0
+  resw@tmXBTickEndF = 7200.0
+  resw@tmXBTickSpacingF = 1800.0
+
+  resw@tmYLMode = "Explicit"
+  resw@tmYLTickStartF = 0.0
+  resw@tmYLTickEndF = 50.0
+
+  plot = gsn_csm_xy(wks, time_s, maxw, resw)
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/1,1/), pres)
+
+end
+
Index: configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_wvel.ncl
===================================================================
--- configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_wvel.ncl	(revision 439)
+++ configs/dcmip2016/PLOTS/testcase/SUPERCELL/todo/plot_supercell_wvel.ncl	(revision 439)
@@ -0,0 +1,112 @@
+;***********************************************
+; plot_supercell_wvel.ncl
+;
+; Version 1.0
+;***********************************************
+
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_code.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/gsn_csm.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/contributed.ncl"  
+load "$NCARG_ROOT/lib/ncarg/nclscripts/csm/shea_util.ncl"  
+
+begin
+
+;****************************************************************************
+; DO NOT EDIT ABOVE THIS LINE
+;****************************************************************************
+; Read in data and store as follows:
+;
+;   Output:
+;     maxw(time)
+;     time series maximum vertical velocity (units m/s)
+;
+;     time_s(time)
+;     time of each sample (units s)
+;
+;   Dimensions:
+;     time:  arbitrary
+;----------------------------------------------------------------------------
+
+  data_file = "~/Documents/tempestmodel/test/dcmip2016/outSupercellTest-Agri/outU0-maxW.txt"
+
+  maxw = asciiread(data_file, (/25/), "double")
+  time_s = fspan(0.0, 7200.0, 25)
+
+;****************************************************************************
+; DO NOT EDIT BELOW THIS LINE
+;****************************************************************************
+
+;------------------------------------------------
+; Workspace
+;------------------------------------------------
+  wks = gsn_open_wks("eps","plot_supercell_wvel")   
+
+;------------------------------------------------
+; Plot resources [options]
+;------------------------------------------------
+; Resources:
+  res                     = True
+
+  res@gsnDraw             = False
+  res@gsnFrame            = False
+
+  res@vpKeepAspect        = True
+  res@vpWidthF            = 0.6
+  res@vpHeightF           = 0.6
+  res@gsnMaximize         = True
+  res@gsnPaperOrientation = "portrait"
+
+  res@tmXBLabelsOn      = True
+  res@tmXBOn            = True
+
+  res@tmXTLabelsOn      = False
+  res@tmXTOn            = False
+
+  res@tmXBMinorOn       = True
+  res@tmYLMinorOn       = True
+
+  res@xyLineThicknessF  = 2.0
+  res@xyMarkLineMode    = "MarkLines"
+
+  resw = res
+
+;------------------------------------------------
+; Vertical velocity plot
+;------------------------------------------------
+
+  resw@tiXAxisOn = True
+  resw@tiXAxisString = "time (s)"
+
+  resw@tiYAxisOn = True
+  resw@tiYAxisString = "maximum vertical velocity (m/s)"
+
+  resw@trXMinF = 0.0
+  resw@trXMaxF = 7200.0
+  
+  resw@trYMinF = 0.0
+  resw@trYMaxF = 50.0
+
+  resw@tmXBMode = "Manual"
+  resw@tmXBTickStartF = 0.0
+  resw@tmXBTickEndF = 7200.0
+  resw@tmXBTickSpacingF = 1800.0
+
+  resw@tmYLMode = "Explicit"
+  resw@tmYLTickStartF = 0.0
+  resw@tmYLTickEndF = 50.0
+
+  plot = gsn_csm_xy(wks, time_s, maxw, resw)
+
+;------------------------------------------------
+; Panel plot
+;------------------------------------------------
+
+  pres = True
+  pres@gsnPanelBottom = 0.1
+  pres@gsnPanelTop = 0.9
+  pres@gsnPanelYWhiteSpacePercent = 5
+  pres@gsnPanelXWhiteSpacePercent = 5
+  gsn_panel(wks, plot, (/1,1/), pres)
+
+end
+
